#include <stdio.h>
#include <stdarg.h>

static void reportErrorDefault(const char *msg, ...) {
    char res[1024];
    
    va_list ap;
    
    va_start(ap, msg);
    vsnprintf(res, 1024, msg, ap);
    va_end(ap);
    
    printf("%s\n", res);
}

static void reportMessageDefault(const char *msg, ...) {
    char res[1024];

    va_list ap;
    
    va_start(ap, msg);
    vsnprintf(res, 1024, msg, ap);
    va_end(ap);
    
    printf("%s\n", res);
}

static void (*reportError)(const char *msg, ...) = reportErrorDefault;
static void (*reportMessage)(const char *msg, ...) = reportMessageDefault;
